Package fr.gouv.vitam.common.database.parser.query

# Enum Class ParserTokens.PROJECTIONARGS

java.lang.Object
java.lang.Enum<ParserTokens.PROJECTIONARGS>
fr.gouv.vitam.common.database.parser.query.ParserTokens.PROJECTIONARGS

All Implemented Interfaces:
  `Serializable`, `Comparable<ParserTokens.PROJECTIONARGS>`, `Constable`

Enclosing class:
  `ParserTokens`

public static enum ParserTokens.PROJECTIONARGS extends Enum<ParserTokens.PROJECTIONARGS>
specific fields: version, id, ...
$fields : [ #version:1, #id:1... ]

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLUNITUPS`
  All Unit's parents
  `APPROXIMATE_CREATION_DATE`
  `APPROXIMATE_UPDATE_DATE`
  `ATOMIC_VERSION`
  Document's version (number of update on document)
  `BATCHID`
  COLLECT-ONLY FIELDS
  `COMPUTEDINHERITEDRULES`
  Vitam computedInheritedRules field
  `ELIMINATION`
  elimination
  `ERRORS`
  Validation errors
  `FORMAT`
  Object format
  `GRAPH`
  Parent unit graph
  `GRAPH_LAST_PERSISTED_DATE`
  Graph last persisted date
  `HISTORY`
  Parent unit history
  `ID`
  Id of the item
  `IMPLEMENTATIONVERSION`
  Vitam Implementation Version
  `LAST_PERSISTED_DATE`
  Last persisted date (logbook operation & lifecycle documents)
  `MANAGEMENT`
  Management bloc
  `MANAGEMENTCONTRACTID`
  Management Contract Id
  `MAX`
  Unit's MAX distance from root
  `MIN`
  Unit's MIN distance from root
  `NBC`
  NB of copies or binaries
  `NBOBJECTS`
  Number of objects within ObjectGroup
  `NBUNITS`
  Number of units immediate children from this Unit
  `OBJECT`
  Unit's ObjectGroup
  `OGINFO`
  Object group information
  `OPERATIONS`
  Unit or GOT's list of participating operations
  `OPI`
  Unit or GOT's initial operation
  `OPTS`
  TRANSFER
  `ORIGINATING_AGENCIES`
  originating agencies
  `ORIGINATING_AGENCY`
  originating agency
  `QUALIFIERS`
  Qualifiers field
  `SCORE`
  Document scoring according to research
  `SEDAVERSION`
  Seda Version
  `SIZE`
  Object size
  `STORAGE`
  Storage in OG
  `TENANT`
  Unit/ObjectGroup Tenant
  `TYPE`
  Unit/ObjectGroup type
  `UDS`
  parents arrays
  `UNITTYPE`
  unit type bloc
  `UNITUPS`
  Unit's immediate parents
  `UPLOADPATH`
  `USAGE`
  Deprecated.
  Useless.
  `VALIDCOMPUTEDINHERITEDRULES`
  `VERSION`
  Document's version (number of update on document)
  `VUPS`
  Virtual paths

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static boolean`
  `isValid(String token)`
  Used in projection for getObject
  `static boolean`
  `notAllowedOnSet(String name)`
  This function check the field name for know if it's allowed to inserting or updating the given field from external.
  `static boolean`
  `notAllowedOnSetExternal(String name)`
  This function check the field name for know if it's allowed to inserting or updating the given field from external.
  `static ParserTokens.PROJECTIONARGS`
  `parse(String name)`
  Parse the given name
  `static ParserTokens.PROJECTIONARGS`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParserTokens.PROJECTIONARGS[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final ParserTokens.PROJECTIONARGS ID
    Id of the item

  - ### NBUNITS

    public static final ParserTokens.PROJECTIONARGS NBUNITS
    Number of units immediate children from this Unit

  - ### NBOBJECTS

    public static final ParserTokens.PROJECTIONARGS NBOBJECTS
    Number of objects within ObjectGroup

  - ### NBC

    public static final ParserTokens.PROJECTIONARGS NBC
    NB of copies or binaries

  - ### QUALIFIERS

    public static final ParserTokens.PROJECTIONARGS QUALIFIERS
    Qualifiers field

  - ### SIZE

    public static final ParserTokens.PROJECTIONARGS SIZE
    Object size

  - ### FORMAT

    public static final ParserTokens.PROJECTIONARGS FORMAT
    Object format

  - ### TYPE

    public static final ParserTokens.PROJECTIONARGS TYPE
    Unit/ObjectGroup type

  - ### TENANT

    public static final ParserTokens.PROJECTIONARGS TENANT
    Unit/ObjectGroup Tenant

  - ### OBJECT

    public static final ParserTokens.PROJECTIONARGS OBJECT
    Unit's ObjectGroup

  - ### UNITUPS

    public static final ParserTokens.PROJECTIONARGS UNITUPS
    Unit's immediate parents

  - ### MIN

    public static final ParserTokens.PROJECTIONARGS MIN
    Unit's MIN distance from root

  - ### MAX

    public static final ParserTokens.PROJECTIONARGS MAX
    Unit's MAX distance from root

  - ### ALLUNITUPS

    public static final ParserTokens.PROJECTIONARGS ALLUNITUPS
    All Unit's parents

  - ### MANAGEMENT

    public static final ParserTokens.PROJECTIONARGS MANAGEMENT
    Management bloc

  - ### UNITTYPE

    public static final ParserTokens.PROJECTIONARGS UNITTYPE
    unit type bloc

  - ### UDS

    public static final ParserTokens.PROJECTIONARGS UDS
    parents arrays

  - ### OPERATIONS

    public static final ParserTokens.PROJECTIONARGS OPERATIONS
    Unit or GOT's list of participating operations

  - ### OPI

    public static final ParserTokens.PROJECTIONARGS OPI
    Unit or GOT's initial operation

  - ### ORIGINATING_AGENCY

    public static final ParserTokens.PROJECTIONARGS ORIGINATING_AGENCY
    originating agency

  - ### ORIGINATING_AGENCIES

    public static final ParserTokens.PROJECTIONARGS ORIGINATING_AGENCIES
    originating agencies

  - ### STORAGE

    public static final ParserTokens.PROJECTIONARGS STORAGE
    Storage in OG

  - ### VERSION

    public static final ParserTokens.PROJECTIONARGS VERSION
    Document's version (number of update on document)

  - ### ATOMIC_VERSION

    public static final ParserTokens.PROJECTIONARGS ATOMIC_VERSION
    Document's version (number of update on document)

  - ### USAGE

    public static final ParserTokens.PROJECTIONARGS USAGE
    Deprecated.
    Useless. Will be removed in future releases
    Document's usage (BINARY_MASTER, PHYSICAL_MASTER, DISSEMINATION, ...)

  - ### SCORE

    public static final ParserTokens.PROJECTIONARGS SCORE
    Document scoring according to research

  - ### LAST_PERSISTED_DATE

    public static final ParserTokens.PROJECTIONARGS LAST_PERSISTED_DATE
    Last persisted date (logbook operation & lifecycle documents)

  - ### GRAPH

    public static final ParserTokens.PROJECTIONARGS GRAPH
    Parent unit graph

  - ### ELIMINATION

    public static final ParserTokens.PROJECTIONARGS ELIMINATION
    elimination

  - ### GRAPH_LAST_PERSISTED_DATE

    public static final ParserTokens.PROJECTIONARGS GRAPH_LAST_PERSISTED_DATE
    Graph last persisted date

  - ### HISTORY

    public static final ParserTokens.PROJECTIONARGS HISTORY
    Parent unit history

  - ### SEDAVERSION

    public static final ParserTokens.PROJECTIONARGS SEDAVERSION
    Seda Version

  - ### IMPLEMENTATIONVERSION

    public static final ParserTokens.PROJECTIONARGS IMPLEMENTATIONVERSION
    Vitam Implementation Version

  - ### COMPUTEDINHERITEDRULES

    public static final ParserTokens.PROJECTIONARGS COMPUTEDINHERITEDRULES
    Vitam computedInheritedRules field

  - ### VALIDCOMPUTEDINHERITEDRULES

    public static final ParserTokens.PROJECTIONARGS VALIDCOMPUTEDINHERITEDRULES

  - ### APPROXIMATE_CREATION_DATE

    public static final ParserTokens.PROJECTIONARGS APPROXIMATE_CREATION_DATE

  - ### APPROXIMATE_UPDATE_DATE

    public static final ParserTokens.PROJECTIONARGS APPROXIMATE_UPDATE_DATE

  - ### BATCHID

    public static final ParserTokens.PROJECTIONARGS BATCHID
    COLLECT-ONLY FIELDS

  - ### UPLOADPATH

    public static final ParserTokens.PROJECTIONARGS UPLOADPATH

  - ### OPTS

    public static final ParserTokens.PROJECTIONARGS OPTS
    TRANSFER

  - ### MANAGEMENTCONTRACTID

    public static final ParserTokens.PROJECTIONARGS MANAGEMENTCONTRACTID
    Management Contract Id

  - ### VUPS

    public static final ParserTokens.PROJECTIONARGS VUPS
    Virtual paths

  - ### ERRORS

    public static final ParserTokens.PROJECTIONARGS ERRORS
    Validation errors

  - ### OGINFO

    public static final ParserTokens.PROJECTIONARGS OGINFO
    Object group information

- ## Method Details

  - ### values

    public static ParserTokens.PROJECTIONARGS[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParserTokens.PROJECTIONARGS valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isValid

    public static boolean isValid(String token)
    Used in projection for getObject
    Parameters:
      `token` - the token to valid
    Returns:
      True if this token is valid, even starting with a "_"

  - ### parse

    public static ParserTokens.PROJECTIONARGS parse(String name)
    Parse the given name
    Parameters:
      `name` - name of the field to parse
    Returns:
      the corresponding PROJECTIONARGS
    Throws:
      `IllegalArgumentException` - if not found

  - ### notAllowedOnSetExternal

    public static boolean notAllowedOnSetExternal(String name)
    This function check the field name for know if it's allowed to inserting or updating the given field from external. This check is done by the API-internal by the VarNameAdapter.
    Parameters:
      `name` - field name
    Returns:
      True if the field is not allowed, false

  - ### notAllowedOnSet

    public static boolean notAllowedOnSet(String name)
    This function check the field name for know if it's allowed to inserting or updating the given field from external. This check is done by the API-internal by the VarNameAdapter.
    Parameters:
      `name` - field name
    Returns:
      True if this value is not allowed on set (insert, update)

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token